Auxiliary functions

## Classes

class | asIThreadManager
| The interface for the thread manager. More...

## Functions

AS_API const char * | asGetLibraryVersion ()
| Returns the version of the compiled library. More...
AS_API const char * | asGetLibraryOptions ()
| Returns the options used to compile the library. More...

## Detailed Description

## Function Documentation

## asGetLibraryOptions()

AS_API const char* asGetLibraryOptions | ( |  | ) |

Returns
  A null terminated string with indicators that identify the options used to compile the script library.

This can be used to identify at run-time different ways to configure the engine. For example, if the returned string contain the identifier AS_MAX_PORTABILITY then functions and methods must be registered with the asCALL_GENERIC calling convention.

## asGetLibraryVersion()

AS_API const char* asGetLibraryVersion | ( |  | ) |

Returns
  A null terminated string with the library version.

The returned string can be used for presenting the library version in a log file, or in the GUI.